#!/bin/sh
dir=$( dirname -- "$0")
dir=$( realpath -- "$dir"; )

if [[ -z "${XDG_CONFIG_HOME}" ]]; then
  CONFIG="${HOME}/.config"
else
  CONFIG="${XDG_CONFIG_HOME}"
fi

for file in "${dir}/"* ; do
  filename=$(basename -- $file)
  [[ -d "$file" ]] && ln -s $file "$CONFIG/"
  [[ -f "$file" ]] && ln -s $file "$HOME/.$filename"
done
